<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Upload Cfs REST Endpoint</title><link>https://community.telligent.com/community/12/w/api-documentation/71187/upload-cfs-rest-endpoint</link><description>Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Upload Cfs REST Endpoint</title><link>https://community.telligent.com/community/12/w/api-documentation/71187/upload-cfs-rest-endpoint</link><pubDate>Fri, 13 May 2022 19:33:51 GMT</pubDate><guid isPermaLink="false">0fdc87be-bfbc-4c08-b5d6-39cfdc282c18</guid><dc:creator>Former Member</dc:creator><comments>https://community.telligent.com/community/12/w/api-documentation/71187/upload-cfs-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Former Member on 05/13/2022 19:33:51&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;&lt;a id="POST_api_ashx_v2_cfs_temporary_jsonxml" name="POST_api_ashx_v2_cfs_temporary_jsonxml"&gt;&lt;/a&gt;POST api.ashx/v2/cfs/temporary.{json|xml}&lt;/h2&gt;&lt;div class="documentation-section scopes"&gt;&lt;h3&gt;&lt;a id="Scopes" name="Scopes"&gt;&lt;/a&gt;Scopes&lt;/h3&gt;&lt;div class="value"&gt;&lt;p&gt;Centralized File Storage (CFS) › Modify Files&amp;nbsp;&lt;code style="padding:5px;background-color:rgba(34, 34, 34, 0.1);border-radius:3px;"&gt;cfs.files.modify&lt;/code&gt;&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;&lt;a id="Request_Parameters" name="Request_Parameters"&gt;&lt;/a&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;ApplicationId&lt;/td&gt;  &lt;td&gt;Guid&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The ID of the application into which this file will be stored.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;ApplicationTypeId&lt;/td&gt;  &lt;td&gt;Guid&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The ID of the application type into which this file will be stored.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;ContentTypeId&lt;/td&gt;  &lt;td&gt;Guid&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The ID of the content type into which this file will be stored.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;CurrentChunk&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The current chunk of a set of chunks making up a file.  It should be the sequential value of the chunk currently being sent.  Required when sending a file in seperate chunks.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;FileName&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The name of the file being uploaded.  If the file is being sent in chunks it should be the same for each chunk. Required when uploading a file, but not when testing.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Test&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;When specified, this request is treated as a test to determine upload speed and no temporary file is saved.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;TotalChunks&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The total amount of chunks being sent for the file.  It should be the same value on each chunk request.  Required when sending a file in seperate chunks.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;TotalSize&lt;/td&gt;  &lt;td&gt;Int64&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The total size of the file (total of all chunks).&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Type&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The type of file being uploaded (used for validation).&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;Image&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;UploadContextId&lt;/td&gt;  &lt;td&gt;Guid&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;A Guid identifier that represents the temporary file context for working with one or more temporary files.&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;&lt;a id="Example_Requests" name="Example_Requests"&gt;&lt;/a&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;&lt;a id="Widget_Javascript" name="Widget_Javascript"&gt;&lt;/a&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.post({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/cfs/temporary.json&amp;#39;,
	data: { 
		&amp;#39;UploadContextId&amp;#39;: &amp;#39;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;div class="documentation-section returns"&gt;&lt;h3&gt;&lt;a id="Example_Responses" name="Example_Responses"&gt;&lt;/a&gt;Example Responses&lt;/h3&gt;&lt;h4&gt;&lt;a id="JSON" name="JSON"&gt;&lt;/a&gt;JSON&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;UploadedFile&amp;quot;: {
    &amp;quot;UploadContextId&amp;quot;: &amp;quot;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;quot;,
    &amp;quot;DownloadUrl&amp;quot;: &amp;quot;downloadurl&amp;quot;,
    &amp;quot;TotalChunks&amp;quot;: 6,
    &amp;quot;CurrentChunk&amp;quot;: 25,
    &amp;quot;FileName&amp;quot;: &amp;quot;filename&amp;quot;
  },
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;h4&gt;&lt;a id="XML" name="XML"&gt;&lt;/a&gt;XML&lt;/h4&gt;&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;UploadedFile&amp;gt;
    &amp;lt;UploadContextId&amp;gt;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;lt;/UploadContextId&amp;gt;
    &amp;lt;DownloadUrl&amp;gt;downloadurl&amp;lt;/DownloadUrl&amp;gt;
    &amp;lt;TotalChunks&amp;gt;6&amp;lt;/TotalChunks&amp;gt;
    &amp;lt;CurrentChunk&amp;gt;25&amp;lt;/CurrentChunk&amp;gt;
    &amp;lt;FileName&amp;gt;filename&amp;lt;/FileName&amp;gt;
  &amp;lt;/UploadedFile&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>